CVE-2010-1263

HIGH

Description

Windows Shell and WordPad in Microsoft Windows XP SP2 and SP3, Windows Server 2003 SP2, Windows Vista SP1 and SP2, Windows Server 2008 Gold, SP2, and R2, and Windows 7; Microsoft Office XP SP3; Office 2003 SP3; and Office System 2007 SP1 and SP2 do not properly validate COM objects during instantiation, which allows remote attackers to execute arbitrary code via a crafted file, aka "COM Validation Vulnerability."

References

http://www.securityfocus.com/bid/40574

http://www.securitytracker.com/id?1024555

http://www.us-cert.gov/cas/techalerts/TA10-159B.html

http://www.us-cert.gov/cas/techalerts/TA10-285A.html

https://docs.microsoft.com/en-us/security-updates/securitybulletins/2010/ms10-036

https://docs.microsoft.com/en-us/security-updates/securitybulletins/2010/ms10-083

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A7286

Details

Source: MITRE

Published: 2010-06-08

Updated: 2018-10-12

Type: CWE-94

Risk Information

CVSS v2.0

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
108811Windows Server 2008 Critical RCE Vulnerabilities (uncredentialed) (PCI/DSS)NessusWindows
critical
49960MS10-083: Vulnerability in COM Validation in Windows Shell and WordPad Could Allow Remote Code Execution (2405882)NessusWindows : Microsoft Bulletins
high
46843MS10-036: Vulnerability in COM Validation in Microsoft Office Could Allow Remote Code Execution (983235)NessusWindows : Microsoft Bulletins
high